version: 0.2
​
phases:
  install:
    runtime-versions:
      nodejs: 12  
    commands:
      - echo Installing Mocha...
  pre_build:
    commands:
      - echo Installing source NPM dependencies...
      - npm install
  build:
    commands:
      - echo Build started on `date`
      - echo Compiling the Node.js code
      - npm prune --production
  post_build:
    commands:
      - echo Build completed on `date`
# Include only the files required for your application to run.
# Do not use recursively include artifacts from node_modules directory as it will include unnecessary packages 
# used only for building and testing.
# ExpressJS apps will need other artifact directories included (bin/*, public/*, routes/*, views/* etc).
artifacts:
  files:
    - 'server.js'
    - 'articles-api-routes.js'
    - 'package.json'
    - 'package-lock.json'
    - 'my_generic_mongo_client.js'
    - 'node_modules/**/*'
